<?php

/**
 * Disable search
 * @category Functions
 * @author Krik
 */

add_action('parse_query', 'krik_disable_search');
add_filter('get_search_form', 'krik_disable_search_form');

function krik_disable_search($query, $error = true)
{
	if (is_search()) {
		$query->is_404 = true;
	}
}

function krik_disable_search_form()
{
	return null;
}
